var app;
app = {
    // Application Constructor
    initialize: function () {
        this.bindEvents();
        this.recordCurrent = new Record();
        this.preCurrent = new Record();
        this.webservice = new Webservice();
        this.records = [];
        this.typeSelecteds = [];
        this.loginState = 0;
        this.statusTypes = [];
        this.statusTypes[0] = ".available_text";
        this.statusTypes[1] = ".notAvailable_text";
        this.statusTypes[2] = ".planned_text";
        this.arrayRecords = [];
        this.index = 0;
        this.timeout = 8000;
        this.currentStartDate;
        this.currentEndDate;
        this.idProgressPage5;

    },
    isAuth: function (callback) {
        console.log("isAuth");

        var preferences = plugins.appPreferences;

        preferences.fetch(function(value) {
            callback(!isEmpty(value));
        }, function(error) {
            callback(!isEmpty(""));
            console.log(JSON.stringify(error));
        }, "registrationCode");

    },
    getToken: function (callback) {
        var preferences = plugins.appPreferences;
        
        var errorCallback = function(error)
        {
            console.log(JSON.stringify(error));
            var token = new Token();
            callback(token);
        };
        
        preferences.fetch(function(reg) {
                          
            preferences.fetch(function(email) {
                var token = new Token();
                token.email = email;
                token.registrationCode = reg;
                callback(token);
            }, errorCallback, "email");
        }, errorCallback, "registrationCode");

    },
    saveToken: function (email, registrationCode) {
        var preferences = plugins.appPreferences;

        var nothing = function() { };
        
        preferences.store(nothing, nothing, "email", email);
        preferences.store(nothing, function (error) {
            console.log(JSON.stringify(error), "registrationCode", registrationCode);
        });
    },

    changeRegistrationCode: function (registrationCode) {
        var preferences = plugins.appPreferences;
        preferences.store(function() { }, function (error) {
            console.log(JSON.stringify(error));
        }, "registrationCode", registrationCode);
        
    },


    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function () {

        console.log("bindEvents");
        
       // document.addEventListener('deviceready', this.onDeviceReady, false);
       //$(document).ready(this.onDeviceReady);

    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicity call 'app.receivedEvent(...);'
    onDeviceReady: function () {
        

        console.log("ajunge aici");
        
        try {
            navigator.globalization.getLocaleName(
                function (locale) {
                    lang.renderLang(locale.value);

                    console.log("ajunge aici1 " + locale.value);



                    navigator.globalization.getPreferredLanguage(
                        function (locale) {
                            lang.renderLang(locale.value);

                            console.log("ajunge aici2 " + locale.value);
                            app.receivedEvent('deviceready');


                        },
                        function () {
                            console.log("ajunge hoepel op");
                            window.lang = new Lang();
                            lang.renderLang("");
                            app.receivedEvent('deviceready');

                        }
                    );


                },
                function () {
                     console.log("ajunge ajunge");
                    window.lang = new Lang();
                    lang.renderLang("");
                    app.receivedEvent('deviceready');

                }
            );

        }
        catch (err) {
            console.log("ajunge exception");
            lang.renderLang("");
            app.receivedEvent('deviceready');
        }
    },

    // Update DOM on a Received Event
    receivedEvent: function (id) {

        console.log("receivedEvent");
        
        moment.lang(window.lang.currentLanguage);

        app.db = new DatabaseHelper();
        app.db.setup(function () {

        });

        app.isAuth(function (result) {

            //Run some code here


            if (result) {

                var preferences = plugins.appPreferences;
                preferences.fetch(function (value) {
                    if (!isEmpty(value)) {

                        if (value == "true") {

                            $('#content').addClass("hidden");
                            $.mobile.changePage("#page2");
                            get_availability();
                            hide_splashscreen();

                        } else {

                            $('#content').addClass("hidden");
                            $.mobile.changePage("#page6");
                            hide_splashscreen();
                        }

                    } else {
                        $('#content').addClass("hidden");
                        $.mobile.changePage("#page6");
                        hide_splashscreen();
                    }

                }, function (error) {
                    hide_splashscreen();
                    $('#content').removeClass("hidden");
                }, "disclaimer");

            } else {

                if (!navigator.userAgent.match(/(Android|BlackBerry)/)) {
                    setTimeout(function () {
                           navigator.splashscreen.hide();
                    }, 2000);

                } else {
                     navigator.splashscreen.hide();
                }

                var preferences = plugins.appPreferences;
                preferences.fetch(function (value) {
                    if (!isEmpty(value)) {

                        if (value == "true") {

                            var preferences = plugins.appPreferences;
                            preferences.fetch(function (value) {
                                if (!isEmpty(value)) {

                                    app.loginState = 1;
                                    $("#search-2").removeClass("hidden");


                                    $("#submitButton").html(window.lang.getValue("submitButton_TextLogin"));
                                    // $("#submitButton").html('<span>Login <img src="images/login-arrow2x.png" width=8/></span>');
                                    $("#loginInfoId").removeClass("hidden");
                                    console.log(value);
                                    $("#login_email").val(value);

                                }

                            }, function (error) {

                            }, "emailtemp");
                        }
                    }

                }, function (error) {

                }, "codescreen");

                $('#content').removeClass("hidden");
            }

        });





        document.addEventListener("backbutton", function () {
            if ($.mobile.activePage.attr('id') == "page1") {
                navigator.app.exitApp();
            } else if ($.mobile.activePage.attr('id') == "page2") {
                navigator.app.exitApp();
            } else if ($.mobile.activePage.attr('id') == "page6") {
                navigator.app.exitApp();
            } else {
                history.back();

            }
        }, false);

        $('#dateFrom').DatePicker({
            format: 'd-m-Y',
            date: $('#dateFrom').val(),
            current: $('#dateFrom').val(),
            starts: 1,
            position: 'r',
            locale: this.locale_pl,


            onBeforeShow: function () {
                $('#dateFrom').DatePickerSetDate($('#dateFrom').val(), true);
                beforeDisplayDatePicker();
            },
            onChange: function (formated, dates) {

                $('#dateFrom').val(formated);

                var firstValue = $('#dateFrom').val().split('-');
                var secondValue = $('#dateTo').val().split('-');

                var firstDate = new Date();
                firstDate.setFullYear(firstValue[2], (firstValue[1] - 1 ), firstValue[0]);

                var secondDate = new Date();
                secondDate.setFullYear(secondValue[2], (secondValue[1] - 1 ), secondValue[0]);

                if (firstDate > secondDate) {
                    $('#dateTo').val(formated);
                    $('#dateUntil').val(formated);

                }

                $('#dateFrom').DatePickerHide();
                beforeHideDatePicker();

            }
        });

        $("#dateFrom2").click(function () {

            $('#dateTo').DatePickerHide();
            $('#dateUntil').DatePickerHide();
            $('#dateFrom').DatePickerShow();
        });

        $('#dateTo').DatePicker({
            format: 'd-m-Y',
            date: $('#dateTo').val(),
            current: $('#dateTo').val(),
            starts: 1,
            position: 'r',
            onBeforeShow: function () {
                $('#dateTo').DatePickerSetDate($('#dateTo').val(), true);
                beforeDisplayDatePicker();
            },
            onChange: function (formated, dates) {

                $('#dateTo').val(formated);
                $('#dateUntil').val(formated);
                $('#dateTo').DatePickerHide();
                beforeHideDatePicker();

            }
        });


        $("#dateTo2").click(function () {

            $('#dateFrom').DatePickerHide();
            $('#dateUntil').DatePickerHide();
            $('#dateTo').DatePickerShow();

        });

        $('#dateUntil').DatePicker({
            format: 'd-m-Y',
            date: $('#dateUntil').val(),
            current: $('#dateUntil').val(),
            starts: 1,
            position: 'r',
            onBeforeShow: function () {
                $('#dateUntil').DatePickerSetDate($('#dateUntil').val(), true);
                beforeDisplayDatePicker();
            },
            onChange: function (formated, dates) {
                $('#dateUntil').val(formated);

                $('#dateUntil').DatePickerHide();
                beforeHideDatePicker();

            }
        });

        $("#dateUntil2").click(function () {

            $('#dateFrom').DatePickerHide();
            $('#dateTo').DatePickerHide();
            $('#dateUntil').DatePickerShow();

        });


        $("#timeFrom").mobiscroll().time({
            theme: navigator.userAgent.match(/(Android|BlackBerry)/) ? 'android-ics light' : 'ios',
            timeFormat: 'HH:ii',
            display: navigator.userAgent.match(/(Android|BlackBerry)/) ? 'modal' : 'bottom',
            timeWheels: 'Hii'
        });


        $("#timeTo").mobiscroll().time({
            theme: navigator.userAgent.match(/(Android|BlackBerry)/) ? 'android-ics light' : 'ios',
            timeFormat: 'HH:ii',
            display: navigator.userAgent.match(/(Android|BlackBerry)/) ? 'modal' : 'bottom',
            timeWheels: 'Hii'
        });


        $('#page1').on('pagebeforeshow', null, function (event) {

            app.isAuth(function (result) {
                if (result) {

                    //$('#content').addClass("hidden");
                    $.mobile.changePage("#page2");

                } else {
                    // $('#content').removeClass("hidden");
                }
            });
            $("#loginInfoId").addClass("hidden");
        });

        $('#page3').on('pagebeforehide', null, function (event) {

            if (!($('#page3Error').hasClass("hidden"))) {
                var padd = $('#page3 > div:nth-child(2)').css('padding-top');
                padd = padd.substring(0, padd.length - 2);
                padd = parseInt(padd, 10) - $('#page3Error').height() - 45;
                $('#page3 > div:nth-child(2)').css('padding-top', padd);
                $('#page3Error').addClass("hidden");
                $('#page3Error')[0].innerHTML = "";
            }

            $('#dateFrom').DatePickerHide();
            $('#dateTo').DatePickerHide();
            $('#dateUntil').DatePickerHide();
            beforeHideDatePicker();

            $("#repeatControlTrigger").removeClass("clicked");


            $("#repeatControlTrigger").find("#repeatNameContainer").text(window.lang.getValue("#repeatNameContainer"));
            //$("#repeatControlTrigger").find("#repeatNameContainer").text("Herhaal");


            $("#repeatDetailsContainer").addClass("hidden");
            $(".daySelector").removeClass("clicked");
            $(".daySelector-android").removeClass("clicked");

            app.recordCurrent.resetAll();
            $("#dateUntil").val(moment(Date()).format("DD-MM-YYYY"));
            $("#textarea1").val("");
            document.getElementById("textarea1").rows = 2;
            $('#textarea1').css('height', '50px');

            if ($("#timeFrom").mobiscroll('getInst').isVisible()) {
                $("#timeFrom").mobiscroll('getInst').hide();
            }
            if ($("#timeTo").mobiscroll('getInst').isVisible()) {
                $("#timeTo").mobiscroll('getInst').hide();
            }

        });

        $("#availableListControlTrigger").click(function () {
            if ($("#availableListControlTrigger").hasClass("clicked") == false) {
                $(this).addClass("clicked");
            } else {
                $(this).removeClass("clicked");
            }
            setSeletectedTypes();
        });

        $("#notAvailableListControlTrigger").click(function () {
            if ($("#notAvailableListControlTrigger").hasClass("clicked") == false) {
                $(this).addClass("clicked");
            } else {
                $(this).removeClass("clicked");
            }

            setSeletectedTypes();
        });

        $("#plannedListControlTrigger").click(function () {
            if ($("#plannedListControlTrigger").hasClass("clicked") == false) {
                $(this).addClass("clicked");
            } else {
                $(this).removeClass("clicked");
            }
            setSeletectedTypes();
        });

        function setSeletectedTypes() {
            app.typeSelecteds = [];
            var type = 0;
            if ($("#availableListControlTrigger").hasClass("clicked") == true) {
                type = 0;
                app.typeSelecteds.push(type);
            }
            if ($("#notAvailableListControlTrigger").hasClass("clicked") == true) {
                type = 1;
                app.typeSelecteds.push(type);
            }
            if ($("#plannedListControlTrigger").hasClass("clicked") == true) {
                type = 2;
                app.typeSelecteds.push(type);

            }
            populate();

        }


        $("#backButtonDetailsAvailableTrigger").click(function () {
            $.mobile.back();
        });

        $("#backButtonDetailsPlannedTrigger").click(function () {

            $.mobile.back();
        });

        $("#editRecordTrigger").click(function () {
            $.mobile.changePage("#page3");
        });

        $("#addListTrigger").click(function () {
            //todo

            $('#addIcon').addClass('addIcon-selected');


            setTimeout(function () {

                $('#addIcon').removeClass('addIcon-selected');
            }, 500);

            app.recordCurrent.resetAll();
            $.mobile.changePage("#page3");
        });

        $("#list").on("click", ".listRecord", function (event) {
            recordId = parseInt($(this).data("id"));
            goToDetail(recordId);
        });


        $(".redenControl").click(function () {
            $(".redenControl").removeClass("clicked");
            $(this).addClass("clicked");
            app.recordCurrent.reasonId = parseInt($(this).data("name"));

        });

        $(".daySelector").click(function () {

            console.log("dayselector click");
            var childDiv = $(this).find(".repeatName");
            console.log(childDiv.length);
            if ($(this).hasClass("clicked") !== false) {
                //app.recordCurrent.setSelectedDay($(childDiv).data("name"), 0);
                app.recordCurrent.setSelectedDay($(this).data("name"), 0);
                //app.recordCurrent.setSelectedDay($(this).attr("data-name"), 0);


                $(this).removeClass("clicked");
                console.log("dayselector click 0");
            } else {
                //app.recordCurrent.setSelectedDay($(childDiv).data("name"), 1);
                app.recordCurrent.setSelectedDay($(this).data("name"), 1);
                //app.recordCurrent.setSelectedDay($(this).attr("data-name"), 1);
                $(this).addClass("clicked");
                console.log("dayselector click 1");
            }

        });


        $("#cancelDetailsTrigger").click(function () {

            if (!$('#okDetailsTrigger').hasClass("imgRotate")) {
                $.mobile.back();
            }

        });


        $(".editCancel2").click(function () {

            $('#dateTo').DatePickerHide();
            $('#dateUntil').DatePickerHide();
            $('#dateFrom').DatePickerHide();
            beforeHideDatePicker();

        });


        $("#okDetailsTrigger").click(function () {
            AddEdit();
        });

        $("#availableControlTrigger").fastClick(function () {
            if ($("#availableControlTrigger").hasClass("clicked") == false) {
                $(this).addClass("clicked");
                $("#notAvailableControlTrigger").removeClass("clicked");
                $("#redenContainer").addClass("hidden");
                app.recordCurrent.statusType = 0;
                app.recordCurrent.reasonId = -1;
            }
        });

        $("#notAvailableControlTrigger").fastClick(function () {
            if ($("#notAvailableControlTrigger").hasClass("clicked") == false) {
                $(this).addClass("clicked");
                $("#availableControlTrigger").removeClass("clicked");
                $("#redenContainer").removeClass("hidden");
                app.recordCurrent.statusType = 1;
                app.recordCurrent.reasonId = 1;
            }
        });

        $("#repeatControlTrigger").click(function () {



            if ($("#repeatDetailsContainer").hasClass("hidden") !== false) {


                $(this).addClass("clicked");
                $(this).find("#repeatNameContainer").text(window.lang.getValue("repeatNameContainer-selected"));
                $("#repeatDetailsContainer").removeClass("hidden");

                $("#dateUntil").val($('#dateFrom').val());
                $('#dateTo').val($('#dateFrom').val());
                polyCalc.run();
            } else {
                $(this).removeClass("clicked");
                $(this).find("#repeatNameContainer").text(window.lang.getValue("#repeatNameContainer"));
                $("#repeatDetailsContainer").addClass("hidden");
                $(".daySelector").removeClass("clicked");
                $(".daySelector-android").removeClass("clicked");

                app.recordCurrent.resetDays();
                $("#dateUntil").val(moment(Date()).format("DD-MM-YYYY"));
            }
        });

        $('#page2').on('pagebeforeshow', null, function (event) {
            removeAll();
        });

        $('#page2').on('pageshow', null, function (event) {
            polyCalc.run();
            populate();
        });

        $('#page3').on('pageshow', null, function (event) {
            polyCalc.run();
        });

        $('#page3').on('pagebeforeshow', null, function (event) {
            $('#availableControlTrigger').addClass("clicked");
            $('#notAvailableControlTrigger').removeClass("clicked");
            //AICI OK
            $('#okDetailsTrigger')[0].style.background = 'url(images/ok2.png)';
            var dateFrom = moment(app.recordCurrent.startDate).format("DD-MM-YYYY");
            var timeFrom = moment(app.recordCurrent.startDate).format("HH:mm");
            var dateTo = moment(app.recordCurrent.endDate).format("DD-MM-YYYY");
            var timeTo = moment(app.recordCurrent.endDate).format("HH:mm");
            var dateUntil = moment(app.recordCurrent.repeatUtil).format("DD-MM-YYYY");
            console.log("timeFrom" + timeFrom);

            $('#dateFrom').val(dateFrom);
            $('#timeFrom').val(timeFrom);
            $('#dateTo').val(dateTo);
            $('#timeTo').val(timeTo);
            $('#dateUntil').val(dateUntil);
            if (app.recordCurrent.id === -1) {
                $("#editTileText").html(window.lang.getValue("page3_title_add"));
                $("#textarea1").val("");
                document.getElementById("textarea1").rows = 2;
            } else {
                app.currentStartDate = app.recordCurrent.startDate;
                app.currentEndDate = app.recordCurrent.endDate;

                $("#textarea1").val(app.recordCurrent.comments);
                $("#editTileText").html(window.lang.getValue("page3_title_edit"));
                if (app.recordCurrent.statusType === 1) {
                    $('#availableControlTrigger').removeClass("clicked");
                    $('#notAvailableControlTrigger').addClass("clicked");
                } else {
                    $('#availableControlTrigger').addClass("clicked");
                    $('#notAvailableControlTrigger').removeClass("clicked");
                }

            }


            $('#textarea1').blur(function () {
                $.mobile.silentScroll(0);
            });

        });

        $('#page4').on('pagebeforeshow', null, function (event) {

            console.log(JSON.stringify(app.preCurrent));

            $('#detailTitle').html(window.lang.getValue(app.statusTypes[app.preCurrent.statusType]));
            $('#detailDateStart').html(capitalize(moment(app.preCurrent.startDate).format("dddd DD MMMM YYYY")));
            $('#detailTimeStart').html(moment(app.preCurrent.startDate).format("HH:mm"));
            $('#detailDateEnd').html(capitalize(moment(app.preCurrent.endDate).format("dddd DD MMMM YYYY")));
            $('#detailTimeEnd').html(moment(app.preCurrent.endDate).format("HH:mm"));
            $('#detailCommetary').text(app.preCurrent.comments);
                       
            if (app.preCurrent.reserve == "true") {
                $('#detailReserve').text("Je bent ingepland als Reserve!");
                $('#detailReserveReadmorePanel').removeClass("hidden");
                $('#planned-icon').removeClass("hidden");
                $('#detailsTextFullpanel').removeClass("hidden");
            }
            else {
                $('#detailsTextFullpanel').addClass("hidden");
            }
                       
            $('#detailReserveReadmore').on('click', function() {
                if ($('#detailReserveReadmoreText').hasClass('hidden')) {
                    $('#detailReserveReadmoreText').removeClass('hidden');
                    $('#detailReserveReadmore').addClass("up");
                }
                else {
                    $('#detailReserveReadmoreText').addClass('hidden');
                    $('#detailReserveReadmore').removeClass("up");
                }
            });
            
           console.log('ishier');

        });

        $('#page5').on('pagebeforeshow', null, function (event) {

            $('#detailTitlePlan').html(window.lang.getValue(app.statusTypes[app.preCurrent.statusType]));
            $('#detailDateStartPlan').html("");
            $('#detailTimeStartPlan').html("");

            $('#detailTimeEndPlan').html("");
            $('#detailCommetaryPlanned').text("")

            $('#detailAddress')[0].innerHTML = "";
            $('#detailContactperson').text("");
            $('#detailPhoneNumber').text("");
            $('#detailDepartment').text("");
                       
            $('#detailReserve').text("");
                       
            stopProgressPage5();

            //todo deafult state button confirm;


            $('#editRecordTrigger2').addClass("hidden");
            $('#page5Info').addClass("hidden");
            $('#page5Error').addClass("hidden");


        });

        $('#page5').on('pageshow', null, function (event) {





            console.log(JSON.stringify(app.preCurrent));

            $('#detailTitlePlan').html(window.lang.getValue(app.statusTypes[app.preCurrent.statusType]));
            $('#detailDateStartPlan').html(capitalize(moment(app.preCurrent.startDate).format("dddd DD MMMM YYYY")));
            $('#detailTimeStartPlan').html(moment(app.preCurrent.startDate).format("HH:mm"));

            $('#detailTimeEndPlan').html(moment(app.preCurrent.endDate).format("HH:mm"));
            $('#detailCommetaryPlanned').text(app.preCurrent.extra);

            $('#detailAddress')[0].innerHTML = app.preCurrent.getAddress();

            if (app.preCurrent.contactPersons.length > 0) {
                $('#detailContactperson').text(app.preCurrent.contactPersons[0].FullName);
                $('#detailPhoneNumber').text(app.preCurrent.contactPersons[0].PhoneNumber);

            }

            $('#detailDepartment').text(app.preCurrent.department);
                       console.log('reserve: ' + app.preCurrent.reserve);
                       if (app.preCurrent.reserve == "true") {
                            $('#detailReservePlanned').text("Je bent ingepland als Reserve!");
                            $('#detailReservePlannedReadmorePanel').removeClass("hidden");
                            $('#planned-icon').removeClass("hidden");
                            $('#detailsTextFullpanel').removeClass('hidden');
                       }
                       else {
                            $('#detailsTextFullpanel').addClass('hidden');
                       }
                       
                       $('#detailReservePlannedReadmore').on('click', function() {
                                                      if ($('#detailReservePlannedReadmoreText').hasClass('hidden')) {
                                                      $('#detailReservePlannedReadmoreText').removeClass('hidden');
                                                      $('#detailReservePlannedReadmore').addClass("up");
                                                      }
                                                      else {
                                                      $('#detailReservePlannedReadmoreText').addClass('hidden');
                                                      $('#detailReservePlannedReadmore').removeClass("up");
                                                      }
                                                      });


            if (JSON.parse(app.preCurrent.confirmed)) {
                //todo confirm text show confirm action
                showDisableConfirm();

            } else {


                showDefaultStateButton();
            }


        });


        //$('#confirmButton').click(handleCofirmedAction);
        //$("#editRecordTrigger2").click(handleCofirmedAction());

        $("#editRecordTrigger2").click(function(e){
            handleCofirmedAction(e)
        });

        $('#submitButton').fastClick(handleLogin);

        $('#refresh').fastClick(function () {

                if ((!$('#loadingImage').hasClass('imgRotate')) && $('#loadingImage').css("content").indexOf('images/refresh-icon2x.png') != -1) {
                    $('#loadingImage').addClass('loadingImage-selected');


                    var delay = 500;//1 seconds
                    setTimeout(function () {
                        $('#loadingImage').removeClass('loadingImage-selected');

                        get_availability();

                    }, delay);

                }
            }
        );

        $('#loginInfoId').fastClick(function () {

            app.loginState = 0;
            $("#search-2").addClass("hidden");

            $("#submitButton").html(window.lang.getValue("#submitButton"));
            //$("#submitButton").html('<span>Vraag registratiecode aan <img src="images/login-arrow2x.png" width=8/></span>');
            $("#login_reg_code").val("");
            $("#login_email").prop("disabled", false);
            $('#loginInfoId').hide();
        });

        $('#agreeButton').click(function () {

            var preferences = plugins.appPreferences;
            preferences.store(function () { }, function (error) {
                console.log(JSON.stringify(error));
            }, "disclaimer", "true");

            $.mobile.changePage("#page2");
            get_availability();

        });

        $('#link_eula1').click(function () {

            window.open("http://www.asatalent.nl/1019/privacy.html", "_system");
        });

        $('#link_eula2').click(function () {

            window.open("http://www.cbpweb.nl/", "_system");
        });

    }
};


function hide_splashscreen() {
    console.log("hide_splashscreen");

    if (!navigator.userAgent.match(/(Android|BlackBerry)/)) {
        setTimeout(function () {
            navigator.splashscreen.hide();
        }, 2000);

    } else {
        navigator.splashscreen.hide();
    }


}


function get_availability() {

    if (checkInternetConnection()) {

//todo iconc si icon
        if ((!$('#loadingImage').hasClass('imgRotate')) && $('#loadingImage').css("content").indexOf('images/refresh-icon2x.png') != -1) {
            // if ((!$('#loadingImage').hasClass('imgRotate')) ) {
            //$('#loadingImage')[0].src = 'images/refresh-icon-sel2x.png';
            $('#refresh').addClass('active');

            $('#loadingImage').addClass('imgRotate');

            var state2 = 0;


            var inter2 = setInterval(function () {

                switch (state2) {
                    case 0:
                        $('#loadingImage').css("content", "url(images/dots1.png)");
                        state2++;
                        break;
                    case 1:
                        $('#loadingImage').css("content", "url(images/dots2.png)");
                        state2++;
                        break;
                    case 2:
                        $('#loadingImage').css("content", "url(images/dots3.png)");
                        state2 = 0;
                        break;

                }

                //clearInterval( int ); // at some point, clear the setInterval
            }, 500);


            app.webservice.get_availability(function (response) {
                console.log("suc");
                window.clearInterval(inter2);
                state2 = 0;
                $('#loadingImage').removeClass('imgRotate');
                //$('#refresh').css('background-color', ' #323234');
                $('#refresh').removeClass('active');

                app.db.deleteRecords();
                app.index = 0;
                app.arrayRecords = response;
                handleSaveEdit();

                $('#loadingImage').css("content", "url(images/success_icon.png)");

                //$('#loadingImage')[0].src = 'images/success_icon.png';

                setTimeout(function () {
                    $('#loadingImage').css("content", "url(images/refresh-icon2x.png)");
                    // $('#loadingImage')[0].src = 'images/refresh-icon2x.png';
                }, app.timeout);

            }, function (response) {

                if (response.body === "1" || response.body === "4") {
                    app.changeRegistrationCode('');
                }

                console.log("nu");
                window.clearInterval(inter2);
                state2 = 0;
                $('#loadingImage').removeClass('imgRotate');
                //$('#refresh').css('background-color', ' #323234');
                $('#refresh').removeClass('active');
                $('#loadingImage').css("content", "url(images/error_icon.png)");
                //  $('#loadingImage')[0].src = 'images/error_icon.png';

                setTimeout(function () {

                    // $('#loadingImage')[0].src = 'images/refresh-icon2x.png';
                    $('#loadingImage').css("content", "url(images/refresh-icon2x.png)");
                }, app.timeout);
            });

        } else {

        }
    } else {

        $('#loadingImage').removeClass('imgRotate');
        //$('#refresh').css('background-color', ' #323234');
        $('#refresh').removeClass('active');
        $('#loadingImage').css("content", "url(images/error_icon.png)");
        //$('#loadingImage')[0].src = 'images/error_icon.png';
        setTimeout(function () {
            $('#loadingImage').css("content", "url(images/refresh-icon2x.png)");
            //$('#loadingImage')[0].src = 'images/refresh-icon2x.png';
        }, app.timeout);

    }
}


function beforeDisplayDatePicker() {

    $('#header_page3').addClass("hidden");
    $('#editDescription').addClass("hidden");

}

function beforeHideDatePicker() {

    $('#header_page3').removeClass("hidden");
    $('#editDescription').removeClass("hidden");

}


validation_date = function (startDate, endDate) {
    var error = new Object();

    error.message = "";
    var date = new Date()
    var dateTime = date.getTime();
    console.log(startDate.getTime() + " " + endDate.getTime() + " " + date.getTime());

    if ((startDate.getTime() < dateTime ) || (endDate.getTime() < dateTime)) {
        //error.message = "<span>Deze datum ligt in het verleden.</span>"
        error.message = window.lang.getValue("err_seletected_date_inpast");

    } else {

        if (startDate.getTime() > endDate.getTime()) {

            //error.message = "<span>Je hebt een einddatum opgegeven die voor de begindatum ligt.</span>"
            error.message = window.lang.getValue("err_enddate_before_startdate");

        } else {
            var date = new Date();
            if (daysBetween(date, endDate) > 56) {

                //error.message = "<span>De gekozen einddatum kan niet verder</span> <br /> <span>dan 8  weken in toekomst liggen.</span>"
                error.message = window.lang.getValue("err_seletected_more_8weeks");
            }

        }

    }

    return error;
}


AddEdit = function () {
    if (!($('#page3Error').hasClass("hidden"))) {
        var padd = $('#page3 > div:nth-child(2)').css('padding-top');
        padd = padd.substring(0, padd.length - 2);
        padd = parseInt(padd, 10) - $('#page3Error').height() - 45;
        $('#page3 > div:nth-child(2)').css('padding-top', padd);
        $('#page3Error').addClass("hidden");
        $('#page3Error')[0].innerHTML = "";
    }
    if (checkInternetConnection()) {

        //if ($('#okDetailsTrigger')[0].style.backgroundImage.indexOf('images/refresh-icon2x.png') != -1) {

        $('#okDetailsTrigger').addClass('imgRotate');
        var state = 0;
        var inter = setInterval(function () {

            switch (state) {
                case 0:
                    $('#okDetailsTrigger')[0].style.background = 'url(images/page3_dots1.png)';
                    state++;
                    break;
                case 1:
                    $('#okDetailsTrigger')[0].style.background = 'url(images/page3_dots2.png)';
                    state++;
                    break;
                case 2:
                    $('#okDetailsTrigger')[0].style.background = 'url(images/page3_dots3.png)';
                    state = 0;
                    break;

            }

            //clearInterval( int ); // at some point, clear the setInterval
        }, 500);
        //   }
        var dateform = $('#dateFrom').val();
        var timefrom = $('#timeFrom').val();
        var dateto = $('#dateTo').val();
        var timeto = $('#timeTo').val();
        var date1 = dateform + " " + timefrom;
        var date2 = dateto + " " + timeto;
        var comments = $('#textarea1').val();
        app.recordCurrent.startDate = moment(date1, "DD-MM-YYYY HH:mm").toDate();
        app.recordCurrent.endDate = moment(date2, "DD-MM-YYYY HH:mm").toDate();
        app.recordCurrent.comments = comments;


        var dateUntil = $('#dateUntil').val() + " " + $('#timeTo').val();
        app.recordCurrent.repeatUtil = moment(dateUntil, "DD-MM-YYYY HH:mm").toDate();

        var error = false;

        if (app.recordCurrent.shouldSplit()) {
            var text = validation_date(app.recordCurrent.startDate, app.recordCurrent.repeatUtil);
            if (!isEmpty(text.message)) {
                setPage3Error(text.message);
                error = true;
                window.clearInterval(inter);
                showFailProgressPage3();
            }
        } else {
            var text = validation_date(app.recordCurrent.startDate, app.recordCurrent.endDate);
            if (!isEmpty(text.message)) {
                setPage3Error(text.message);
                error = true;
                window.clearInterval(inter);
                showFailProgressPage3();
            }

            if ($("#repeatDetailsContainer").hasClass("hidden") == false) {
                var text2 = validation_date(app.recordCurrent.startDate, app.recordCurrent.repeatUtil);
                if (!isEmpty(text2.message)) {
                    setPage3Error(text2.message);
                    error = true;
                    window.clearInterval(inter);
                    showFailProgressPage3();
                }

            }

        }

        if (app.recordCurrent.statusType == 0) {

        } else {

        }

        if (!error) {

            app.arrayRecords = app.recordCurrent.split();

            console.log("after split "+JSON.stringify( app.arrayRecords));
            var empptyArray = [];


            if (checkInternetConnection()) {


                app.webservice.get_availability(function (result) {


                    var allRecords;

                    if (app.recordCurrent.id == -1) {
                        allRecords = result.concat(app.arrayRecords);
                    } else {
                        for (var i = 0; i < result.length; i++) {


                            if (result[i].startDate.getTime() === app.currentStartDate.getTime() && result[i].endDate.getTime() === app.currentEndDate.getTime() && result[i].statusType === app.preCurrent.statusType) {
                                result.remove(i);
                                console.log(JSON.stringify(result));
                                break;

                            }
                        }

                        allRecords = result.concat(app.arrayRecords);
                    }


                    app.webservice.set_availability(allRecords, function (response) {
                        window.clearInterval(inter);

                        if (response.code == 300) {
                            //image X
                            showFailProgressPage3();


                        } else {

                            app.index = 0;
                            // handleSaveEdit();
                            window.clearInterval(inter);
                            //image check
                            $('#okDetailsTrigger')[0].style.background = 'url(images/page3_succes.png)';
                            $('#okDetailsTrigger').removeClass('imgRotate');
                            setTimeout(function () {
                                $('#okDetailsTrigger')[0].style.background = 'url(images/ok2.png)';

                                if ($.mobile.activePage.attr('id') == "page3") {
                                    $.mobile.changePage("#page2");
                                }

                                get_availability();

                            }, 2000);

                        }

                    }, function (response) {
                        window.clearInterval(inter);
                        //image X

                        showFailProgressPage3();


                        handleErrorPage3(response);


                    });


                }, function (response) {


                    window.clearInterval(inter);
                    //image X
                    showFailProgressPage3();

                    handleErrorPage3(response);


                });


            } else {

                window.clearInterval(inter);

                //image X
                showFailProgressPage3();


                //setPage3Error(" Het lijkt erop dat je geen internetverbinding hebt. Controleer je instellingen en probeer opnieuw.");
                setPage3Error(window.lang.getValue("no_internt_connection"));
            }
        }
    }
    else {
        window.clearInterval(inter);

        //image X
        showFailProgressPage3();
        //setPage3Error(" Het lijkt erop dat je geen internetverbinding hebt. Controleer je instellingen en probeer opnieuw.");
        setPage3Error(window.lang.getValue("no_internt_connection"));
    }

};


showFailProgressPage3 = function () {

    $('#okDetailsTrigger')[0].style.background = 'url(images/page3_fail.png)';
    $('#okDetailsTrigger').removeClass('imgRotate');
    setTimeout(function () {
        $('#okDetailsTrigger')[0].style.background = 'url(images/ok2.png)';
    }, 2000);

}


handleErrorPage5 = function (response) {


    if (response.body === "999") {

        //setPage5Error("<span>Helaas, je beschikbaarheid is niet verwerkt.</span> <br /> <span> Probeer het later opnieuw.</span>");
        setPage5Error(window.lang.getValue("err_999"));

    } else if (response.body === "5") {
        //setPage5Error("<span>Je beschikbaarheid wijzigen op ingeplande diensten is niet mogelijk. Neem hiervoor contact op met je vestiging.</span>");
        setPage5Error(window.lang.getValue("errcode_change_availability"));

    } else if (response.body === "1") {
        // setPage5Error("<span>Helaas is het nodig om opnieuw te registreren. Start de app hiervoor opnieuw op.</span>");
        setPage5Error(window.lang.getValue("err_request_relogin"));
        app.changeRegistrationCode('');
    } else if (response.body === "4") {
        //setPage5Error("<span>De registratiecode klopt niet. Vul de juiste code in of neem contact op met je vestiging om dit op te lossen.</span>");
        setPage5Error(window.lang.getValue("errcode4_auth_code_dont_match"));
        app.changeRegistrationCode('');
    } else {
        //setPage5Error("Helaas, je beschikbaarheid is niet verwerkt. Probeer het later opnieuw.");
        setPage5Error(window.lang.getValue("errcode100_unknow_error"));
    }
}

setPage5Error = function (text) {

    $('#page5Error')[0].innerHTML = text;
    if ($('#page5Error').hasClass("hidden")) {
        $('#page5Error').removeClass("hidden");

    }
}


handleErrorPage3 = function (response) {

    console.log("errorPage3 "+JSON.stringify(response));


    if (response.body === "999") {

        //setPage3Error("<span>Helaas, je beschikbaarheid is niet verwerkt.</span> <br /> <span> Probeer het later opnieuw.</span>");
        setPage3Error(window.lang.getValue("err_999"));

    } else if (response.body === "5") {
        //setPage3Error("<span>Je beschikbaarheid wijzigen op ingeplande diensten is niet mogelijk. Neem hiervoor contact op met je vestiging.</span>");
        setPage3Error(window.lang.getValue("errcode_change_availability"));

    } else if (response.body === "1") {
        // setPage3Error("<span>Helaas is het nodig om opnieuw te registreren. Start de app hiervoor opnieuw op.</span>");
        setPage3Error(window.lang.getValue("err_request_relogin"));
        app.changeRegistrationCode('');
    } else if (response.body === "4") {
        //setPage3Error("<span>De registratiecode klopt niet. Vul de juiste code in of neem contact op met je vestiging om dit op te lossen.</span>");
        setPage3Error(window.lang.getValue("errcode4_auth_code_dont_match"));
        app.changeRegistrationCode('');
    } else {
        //setPage3Error("Helaas, je beschikbaarheid is niet verwerkt. Probeer het later opnieuw.");
        setPage3Error(window.lang.getValue("errcode100_unknow_error"));
    }

}

setPage3Error = function (text) {

    $('#page3Error')[0].innerHTML = text;
    if ($('#page3Error').hasClass("hidden")) {
        $('#page3Error').removeClass("hidden");
        var padd = $('#page3 > div:nth-child(2)').css('padding-top');
        padd = padd.substring(0, padd.length - 2);
        padd = parseInt(padd, 10) + $('#page3Error').height() + 45;
        $('#page3 > div:nth-child(2)').css('padding-top', padd);
    }
    $('#page3Error').removeClass("hidden");
    //$('#header_page3').height($('#header_page3').height()+$('#page3Error').height());

}


function handleCofirmedAction(e) {

   /* if($('#editRecordTrigger2').hasClass("Done")) {
        e.preventDefault();
    }*/

    if ($("#editRecordTrigger2").hasClass("inProgress") == false && $("#editRecordTrigger2").hasClass("Done") == false) {
        navigator.notification.confirm(window.lang.getValue("confirmDialog"), onConfirm, '', [window.lang.getValue('confirmDialogNO'), window.lang.getValue('confirmDialogYes')]);
    }



}


function onConfirm(buttonIndex) {
    if (buttonIndex == 2) {

        console.log("inProgress " + $("#editRecordTrigger2").hasClass("inProgress"));
        console.log("Done " + $("#editRecordTrigger2").hasClass("Done"));
        if ($("#editRecordTrigger2").hasClass("inProgress") == false && $("#editRecordTrigger2").hasClass("Done") == false) {


            saveConfirmation();
        }
    } else {

    }

}


function showProgressPage5() {
    var editRecord = $("#editRecordTrigger2");
    $("#loadingText2").hide();
    $("#editRecordTrigger2").addClass("inProgress");
    $('#loadingImage2').show();
    $('#loadingImage2').addClass('imgRotate');
    var state2 = 0;
    app.idProgressPage5 = setInterval(function () {
        switch (state2) {
            case 0:
                $('#loadingImage2')[0].src = 'images/dots1.png';
                state2++;
                break;
            case 1:
                $('#loadingImage2')[0].src = 'images/dots2.png';
                state2++;
                break;
            case 2:
                $('#loadingImage2')[0].src = 'images/dots3.png';
                state2 = 0;
                break;
        }

    }, 500);
}

function stopProgressPage5() {
    window.clearInterval(app.idProgressPage5);
}


showFailProgressPage5 = function () {

    $('#loadingImage2').removeClass('imgRotate');

    $('#loadingImage2')[0].src = 'images/error_icon.png';
    setTimeout(function () {
        showDefaultStateButton();
    }, app.timeout);

}

showSuccessProgressPage5 = function () {

    $('#loadingImage2').removeClass('imgRotate');

    $('#loadingImage2')[0].src = 'images/success_icon.png';
    setTimeout(function () {
        showDisableConfirm();
    }, app.timeout);

}


showDisableConfirm = function () {
    $('#editRecordTrigger2').removeClass("hidden");
    $("#page5Info").removeClass("hidden");
    $("#loadingText2").show();
    $('#loadingImage2').hide();

    //("#loadingText2").html("Bevestigd");

    $("#loadingText2").html(window.lang.getValue("textForConfirmedButton"));

    $("#editRecordTrigger2").removeClass("inProgress");
    $("#editRecordTrigger2").addClass("Done");


}

showDefaultStateButton = function () {
    $('#editRecordTrigger2').removeClass("hidden");
    $("#page5Info").addClass("hidden");
    $('#page5Error')[0].innerHTML = "";
    $("#page5Error").addClass("hidden");
    $("#editRecordTrigger2").removeClass("inProgress").removeClass("Done");
    $("#loadingText2").html(window.lang.getValue(".textForConfirmButton"));
    $("#loadingText2").show();
    $('#loadingImage2').hide();
    $('#loadingImage2')[0].src = 'images/dots1.png';

}


function saveConfirmation() {

    //todo trebuie confirmat


    if (checkInternetConnection()) {

        if (!$('#loadingImage2').hasClass('imgRotate')) {

            showProgressPage5();


            var affectedItem = false;

            app.webservice.get_availability(function (result) {
                console.log("get1");

                for (var i = 0; i < result.length; i++) {
                    if (result[i].startDate.getTime() === app.recordCurrent.startDate.getTime()
                        && result[i].endDate.getTime() === app.recordCurrent.endDate.getTime()
                        && result[i].statusType === app.recordCurrent.statusType
                        && result[i].confirmed === false) {
                        result[i].confirmed = true;
                        affectedItem = true;
                        break;
                    }
                }


                if (affectedItem === true) {
                    app.webservice.set_availability(result, function (response) {
                            // window.clearInterval(inter);
                            stopProgressPage5();
                            if (response.code == 300) {
                                //image X
                                console.log("get2");
                                showFailProgressPage5();

                            } else {

                                console.log("get3");
                                //todo show successprogrespage5;
                                showSuccessProgressPage5();
                                get_availability();

                                // $("#editRecordTrigger2").removeClass("inProgress").addClass("btnSuccessfull");
                            }
                        }
                        , function (response) {
                            console.log("get4");

                            stopProgressPage5();
                            //image X
                            showFailProgressPage5();
                            handleErrorPage5(response);

                        });

                } else {
                    stopProgressPage5();
                    //image X
                    showFailProgressPage5();

                    console.log("ajunge aiiiiciiii");
                }


            }, function (response) {
                stopProgressPage5();
                //image X
                showFailProgressPage5();
                handleErrorPage5(response);
            });
        }

    } else {
        stopProgressPage5();
        //image X
        showFailProgressPage5();
        setPage5Error(window.lang.getValue("no_internt_connection"));
    }
}


function handleSaveEdit() {
    if (app.index < app.arrayRecords.length) {
        if (app.arrayRecords[app.index].id === -1) {
            app.db.saveEntry(app.arrayRecords[app.index], function () {
                ++app.index;
                handleSaveEdit();
            });
        } else {
            app.db.updateEntry(app.arrayRecords[app.index], function () {
                ++app.index;
                handleSaveEdit();
            });
        }
    } else if (app.index === app.arrayRecords.length) {
        populate();
    }

}

function capitalize(text) {
    return text.charAt(0).toUpperCase() + text.slice(1).toLowerCase();
}

function addDivider(record) {

    var dayWrapper = moment(record.startDate);
    var title = capitalize(dayWrapper.format("dddd"));
    var strDate = dayWrapper.format("DD MMM YYYY");
    var str1 = "<li data-role=\"list-divider\" role=\"heading\">";
    var str2 = "</span><span class=\"divider-date\">";
    var str3 = "</span></li>";
    var result = str1 + "" + title + "" + str2 + "" + strDate + "" + str3;
    $("#list").append(result);
    $("#list").listview("refresh");

}

function populate() {
    if ($("#availableListControlTrigger").hasClass("clicked") == false && $("#notAvailableListControlTrigger").hasClass("clicked") == false && $("#plannedListControlTrigger").hasClass("clicked") == false) {
        removeAll();
    } else {
        app.db.getEntriesByType(createList, app.typeSelecteds);
    }

}

function createList(arr1) {
    removeAll();
    console.log('test1' + arr1)
    var currentDate = new Date("October 13, 1975 11:13:00");

    var len = arr1.length;

    if (len > 0) {
        $("#list").removeClass("hidden");
        $(".placeholder").addClass("hidden");

    } else {

        if (app.typeSelected != undefined) {
            if (app.typeSelected.length == 3 || app.typeSelected.length == 0) {
                //$('#placeholder').height($('#placeholder').parent().parent().height());
                $("#list").addClass("hidden");
                $(".placeholder").removeClass("hidden");
            } else {
                $("#list").removeClass("hidden");
                $(".placeholder").addClass("hidden");
            }

        } else {

        }

    }

    app.records = arr1;


    for (var i = 0; i < len; i++) {
        var value1 = arr1[i];
        console.log(JSON.stringify(value1));
        if (checkDates(currentDate, value1.startDate)) {
            // if (currentDate.getDate() != value1.startDate.getDate()) {

            addContent2(value1);
        } else {

            addDivider(value1);
            addContent2(value1);


        }
        currentDate = new Date();
        currentDate.setTime(value1.startDate.getTime());

    }
}


function addContent(record) {

    var type = record.statusType;
    var confirmed = record.confirmed;
    var reserve = record.reserve;
    var strDate = moment(record.startDate).format("HH:mm");
    var endDate = moment(record.endDate).format("HH:mm");
    var str1;
    var title;
    var imageClass;

    if (checkDates(record.startDate, record.endDate)) {
        imageClass = "single-arrow-icon";
    } else {

        imageClass = "double-arrow-icon";
    }
    
    var imgSpan = "";
    if (reserve == "true") {
        imgSpan = "<span><img src=\"images/icon_reserve.png\" border=\"0\" id=\"helpico\" class=\"icon_planed\" style=\"position: relative;  top: -2px;\" /></span>";
    }
    console.log('reserve = ' + reserve);


    switch (type) {
        case 0:
            str1 = "<li data-theme=\"a\" data-icon=\"false\" ><a  data-id=\"" + record.id + "\" data-transition=\"slide\" class=\" listRecord\"><span>";
            title = window.lang.getValue(app.statusTypes[0]);
            break;
        case 1:
            str1 = "<li data-theme=\"a\" data-icon=\"false\"  ><a data-id=\"" + record.id + "\" data-transition=\"slide\" class=\" listRecord\"><span>";
            title = window.lang.getValue(app.statusTypes[1]);
            break;

        default:
            if (confirmed) {
                //todo show confirmed item;

                str1 = "<li data-theme=\"a\" data-icon=\"false\" ><a data-id=\"" + record.id + "\" data-transition=\"slide\" class=\"listRecord\"><span class=\"planedItemList\">";
                title = window.lang.getValue(app.statusTypes[2]);
            } else {
                //todo show confirmed item;
                str1 = "<li data-theme=\"a\" data-icon=\"false\"  ><a data-id=\"" + record.id + "\" data-transition=\"slide\" class=\"listRecord\"><span class=\"planedItemList\">";
                title = window.lang.getValue(app.statusTypes[2]);

            }

    }
    
    console.log('abc1');
    
    var str2 = "</span>" + imgSpan + "<span class=\"divider-date\">";
//    var str2 = "</span><span class=\"divider-date\">";
    var str3 = "</span></a></li>";

    var result = str1 + "" + title + "" + str2 + "" + strDate + "-" + endDate + "" + str3;
    console.log(result);

    $("#list").append(result);
    $("#list").listview("refresh");

}

function addTemp() {


    $(".placeholder").hide();
    $("#list").show();


    addContent2(newRecordPlan(true));
    addContent2(newRecordPlan2());
    addContent2(newRecordPlan(true));
    addContent2(newRecordPlan(false));
    addContent2(newRecordPlan(false));
    addContent2(newRecordPlan2());
    addContent2(newRecordPlan(true));
    addContent2(newRecordPlan2());
    addContent2(newRecordPlan(false));


}

function newRecordPlan(confirm) {

    var trecord = new Record();
    trecord.confirmed = confirm;
    trecord.statusType = 2;

    if (app.records.length < 1) {
        trecord.id = 1;
    } else {
        trecord.id = app.records[app.records.length - 1].id + 1;
    }


    app.records.push(trecord);

    return trecord;
}


function newRecordPlan2() {

    var trecord = new Record();
    if (app.records.length < 1) {
        trecord.id = 1;
    } else {
        trecord.id = app.records[app.records.length - 1].id + 1;
    }
    app.records.push(trecord);


    return trecord;
}


function addContent2(record) {

    var type = record.statusType;
    var confirmed = record.confirmed;
    var reserve = record.reserve;
    console.log("confirmed "+record.confirmed);

    var strDate = moment(record.startDate).format("HH:mm");
    var endDate = moment(record.endDate).format("HH:mm");
    var str1;
    var title;
    var imageClass;

    var imgSpan = "";
    
    if (reserve == "true") {
        imgSpan = "<span><img src=\"images/icon_reserve.png\" border=\"0\" id=\"helpico\" class=\"icon_planed\" style=\"position: relative;  top: -2px;\" /></span>";
        console.log('true lu lu lu');
    }
    console.log('reserve2 = ' + reserve);

    if (checkDates(record.startDate, record.endDate)) {
        imageClass = "my-arrow-icon";
    } else {

        imageClass = "my-double-arrow-icon";
    }

    switch (type) {
        case 0:
            str1 = "<li data-theme=\"a\" data-icon=\"" + imageClass + "\" ><a  data-id=\"" + record.id + "\" data-transition=\"slide\" class=\" listRecord\"><span>";
            title = window.lang.getValue(app.statusTypes[0]);
            break;
        case 1:
            str1 = "<li data-theme=\"a\" data-icon=\"" + imageClass + "\"><a data-id=\"" + record.id + "\" data-transition=\"slide\" class=\" listRecord\"><span class=\"unavailablePlannedItemList\" >";
            title = window.lang.getValue(app.statusTypes[1]);
            break;

        default:
            if (JSON.parse(confirmed)) {
                str1 = "<li data-theme=\"a\" data-icon=\"" + imageClass + "\"><a data-id=\"" + record.id + "\" data-transition=\"slide\" class=\"listRecord\"><span class=\"planedItemList\">";
                title = window.lang.getValue(app.statusTypes[2]);
                imgSpan = "<span><img src=\"images/icon_planed_confirm.png\" border=\"0\" id=\"helpico\" class=\"icon_planed\"  style=\"position: relative;  top: -2px;\"    /></span>" + imgSpan;
            }
            else {
                //todo show confirmed item;
                str1 = "<li data-theme=\"a\" data-icon=\"" + imageClass + "\"><a data-id=\"" + record.id + "\" data-transition=\"slide\" class=\"listRecord\"><span class=\"unconfirmedPlannedItemList\">";
                title = window.lang.getValue(app.statusTypes[2]);
                imgSpan = "<span><img src=\"images/icon_planed_noconfirm.png\" border=\"0\" id=\"helpico\" class=\"icon_planed\" style=\"position: relative;  top: -2px;\" /></span>" + imgSpan;
            }

    }

    console.log('in listview');

    var str2 = "</span>" + imgSpan + "<span class=\"divider-date\">";
    var str3 = "</span></a></li>";

    var result = str1 + "" + title + "" + str2 + "" + strDate + "-" + endDate + "" + str3;

    $("#list").append(result);
    $("#list").listview("refresh");

}


function goToDetail(id) {
    for (var i = 0; i < app.records.length; i++) {
        if (app.records[i].id == id) {
            app.recordCurrent = jQuery.extend(true, {}, app.records[i]);
            app.preCurrent = jQuery.extend(true, {}, app.records[i]);
            break;
        }
    }

    if (app.recordCurrent.statusType == 2) {
        $.mobile.changePage("#page5");
    } else {
        $.mobile.changePage("#page4");
    }

}

function addHeader() {

    var your_planning = window.lang.getValue("your_planning");
    var html = "<li style=\"padding-bottom: 0px; padding-left: 10px; padding-top: 20px !important;\" data-theme=\"a\"> 	<div class=\"top-list-text\"><span>" + your_planning + "</span> 	</div> 	</li> ";
    $("#list").append(html);
    $("#list").listview("refresh");

}

function removeAll() {
    $("#list").empty();
    addHeader();
}

function handleLogin() {
    if (app.loginState == 0) {

        var preferences = plugins.appPreferences;
        preferences.store(function () {

        }, function (error) {
            console.log(JSON.stringify(error));
        }, "codescreen", "false");

        var email = $("#login_email").val();
        if (checkInternetConnection()) {
            if (isEmpty(email) || checkEmail(email)) {

                //setPage1Error("Je e-mailadres  lijkt niet te kloppen. <br /> Controleer je gegevens en probeer <br /> opnieuw");
                setPage1Error(window.lang.getValue("err_wrong_email"));
            } else {
                console.log('trimite');
//				$("#search-2").removeClass("hidden");
//				$("#submitButton").html('<span>Login <img src="images/login-arrow2x.png" width=8/></span>');
//				$("#loginInfoId").removeClass("hidden");
//				hideInvalidError();

                var preferences = plugins.appPreferences;
                preferences.store(function () {

                }, function (error) {
                    console.log(JSON.stringify(error));
                }, "codescreen", "false");

                preferences.store(function () {

                }, function (error) {
                    console.log(JSON.stringify(error));
                }, "emailtemp", email);

                app.webservice.signup(email, '', function (response) {
                    console.log('trimis');


                    var preferences = plugins.appPreferences;
                    preferences.store(function () {

                    }, function (error) {
                        console.log(JSON.stringify(error));
                    }, "codescreen", "true");

                    var code = response.code;
                    var message = response.message;
                    var body = response.body;
                    console.log(code + " " + message + " " + body);
 
                    preferences.store(function () {

                    }, function (error) {
                        console.log(JSON.stringify(error));
                    }, "registrationCodeTemp", response.body);

                    $("#login_email").prop("disabled", true);
                    app.loginState = 1;

                    $("#search-2").removeClass("hidden");
                    // $("#submitButton").html('<span>Login <img src="images/login-arrow2x.png" width=8/></span>');
                    $("#submitButton").html(window.lang.getValue("submitButton_TextLogin"));
                    $("#loginInfoId").removeClass("hidden");
                    hideInvalidError();

                }, function (response) {


                    var preferences = plugins.appPreferences;
                    preferences.store(function () {

                    }, function (error) {
                        console.log(JSON.stringify(error));
                    }, "codescreen", "false");

                    if (response.body === '1') {

                        //setPage1Error("Je bent nog niet bekend bij ASA. Neem contact op met de dichtsbijzijnde vestiging.");
                        setPage1Error(window.lang.getValue("errcode1_wrong_email_code"));
                    } else if (response.body === '2') {
                        // setPage1Error("Je e-mailadres is meerdere keren ingevoerd in het systeem.</span> <br />  Neem contact op met je vestiging om dit op te lossen.");
                        setPage1Error(window.lang.getValue("errcode2_email_duplicated"));
                    } else if (response.body === '4') {
                        //setPage1Error(" De registratiecode klopt niet.<br />Vul de juiste code in of neem contact op met je vestiging om dit op te lossen.");
                        setPage1Error(window.lang.getValue("errcode4_auth_code_dont_match"));
                    } else {
                        //setPage1Error("Helaas, de server reageert niet. <br />  Probeer het later opniew.")
                        setPage1Error(window.lang.getValue("err_save_edit_availability"));

                    }

                });

            }
        } else {

            //setPage1Error("Het lijkt erop dat je geen internetverbinding hebt. Controleer je instellingen en probeer opnieuw.");
            setPage1Error(window.lang.getValue("no_internt_connection"));
        }

    } else if (app.loginState == 1) {

        var preferences = plugins.appPreferences;
        preferences.fetch(function (result) {

            verifyRegisterCode(result);
        }, function (error) {

            verifyRegisterCode('');
        }, "registrationCodeTemp");

    }
    return true;
}

function verifyRegisterCode(registrationCodeTemp) {




    var email = $("#login_email").val();
    var registerCode = $("#login_reg_code").val();
    console.log(registrationCodeTemp + "--- " + registerCode);
    if (!isEmpty(registrationCodeTemp)&&!isEmpty(registerCode)&& (registerCode.toLowerCase() === registrationCodeTemp.toLowerCase())) {
        app.saveToken(email, registerCode);
        
        var preferences = plugins.appPreferences;
        preferences.store(function () {

        }, function (error) {
            console.log(JSON.stringify(error));
        }, "disclaimer", "false");

        get_availability();
        app.loginState = 0;
        $("#login_email").prop("disabled", false);
        $("#search-2").addClass("hidden");
        $.mobile.changePage("#page6");
        //$("#submitButton").html('<span>Vraag registratiecode aan <img src="images/login-arrow2x.png" width=8/></span>');
        $("#submitButton").html(window.lang.getValue("#submitButton"));

    } else {

        //setPage1Error("Je e-mailadres of registratiecode lijkt niet te kloppen. <br />  Controleer je gegevens en probeer <br /> opnieuw");
        setPage1Error(window.lang.getValue("err_wrong_email_or_password"));
    }

}

setPage1Error = function (text) {

    console.log(text);
    $("#loginError").html(text);

    $("#loginInfoId").addClass("hidden");
    $("#loginError").removeClass("hidden");

}
function hideErrorLogin() {
    console.log("hideError");
    $("#loginError").addClass("hidden");
    $("#loginInfoId").removeClass("hidden");
    $("#loginError").html("");

}


app.bindEvents();