/**
 * Created by Tiberiu.Priboi on 19.03.2014.
 */
var Lang = (function () {
    var Lang = function () {
        var self = this;
        this.currentLanguage = "nl";
        this.langConfig = {
            "default": "nl",
            language: {
                nl: {
                    //page1
                    "#login_email": {
                        "value": "Vul hier je e-mailadres in",
                        "type": "auto"
                    },
                    "#login_reg_code": {
                        "value": "Registratiecode",
                        "type": "auto"
                    },
                    "#submitButton": {
                        "value": "<span >Vraag registratiecode aan <img src=\"images/login-arrow2x.png\" width=8/></span>",
                        "type": "auto"
                    },
                    "#loginInfoId": {
                        "value": " <span>Vul de code in die je per e-mail hebt ontvangen</span><br/><a href=\"#\" >Registratiecode niet ontvangen?</a>",
                        "type": "auto"
                    },
                    //page2
                    ".available_text": {
                        "value": "Beschikbaar",
                        "type": "auto"
                    },
                    ".notAvailable_text": {
                        "value": "Onbeschikbaar",
                        "type": "auto"
                    },
                    ".planned_text": {
                        "value": "Ingepland",
                        "type": "auto"
                    },
                    "#placeholder": {
                        "value": "<p>Hoi</p><br/><p>Je planning is nu nog leeg...<br/>Vul snel je beschikbaarheid<br/>in zodat we je in kunnen<br/>plannen</p>",
                        "type": "auto"
                    },
                    //page3
                    "#editTileText": {
                        "value": "Wijzig",
                        "type": "auto"
                    },
                    "#repeatNameContainer": {
                        "value": "Herhaal",
                        "type": "auto"
                    },
                    "repeatNameContainer-selected": {
                        "value": "Herhaal elke",
                        "type": "man"
                    },
                    //page4
                    "#detailTitle": {
                        "value": "Beschikbaar",
                        "type": "auto"
                    },
                    "#detailsCommentaryTitle": {
                        "value": "Opmerkingen",
                        "type": "auto"
                    },
                    "#detailsReserveTitle": {
                    "value": "Reserve",
                    "type": "auto"
                    },
            "#detailsReservePlannedTitle": {
            "value": "Reserve",
            "type": "auto"
            },
            "#detailReserveReadmoreText": {
            "value": "Indien je vragen hebt over je planning neem dan contact op met jouw ASA-contactpersoon.",
            "type": "auto"
            },
            "#detailReservePlannedReadmoreText": {
            "value": "Indien je vragen hebt over je planning neem dan contact op met jouw ASA-contactpersoon.",
            "type": "auto"
            },
            "#detailsReserveReadmore": {
                        "value": "Lees meer",
                        "type": "auto"
                    },
            "#detailsReservePlannedReadmore": {
            "value": "Lees meer",
            "type": "auto"
            },
                    "#editRecordTrigger": {
                        "value": "<span>Wijzig</span>",
                        "type": "auto"
                    },
                    //page5
                    "#detailTitlePlan": {
                        "value": "Ingepland",
                        "type": "auto"
                    },
                    "#detailAddressTitle": {
                        "value": "Adres",
                        "type": "auto"
                    },
                    "#detailContactpersonTitle": {
                        "value": "Contactpersoon",
                        "type": "auto"
                    },
                    "#detailPhoneNumberTitle": {
                        "value": "Telefoonnummer",
                        "type": "auto"
                    },
                    "#detailDepartmentTitle": {
                        "value": "Afdeling / Kostenplaats",
                        "type": "auto"
                    },
                    "#detailCommetaryPlannedTitle": {
                        "value": "Extra informatie",
                        "type": "auto"
                    },

                    "#detailTime": {
                        "value": "Tijd",
                        "type": "auto"
                    },
                    //page6

                    "#disclaimerTitle": {
                        "value": "PRIVACY- EN GEBRUIKSVOORWAARDEN ASA PLANNER",
                        "type": "auto"
                    },

                    ".contentDisclaimer": {
                        "value": "<P class=\"p1 ft1\">A. <SPAN class=\"ft0\">Algemeen<\/SPAN><\/P>\n\n    <P class=\"p2 ft2\">Artikel 1 ASA Planner en toepasselijkheid voorwaarden<\/P>\n\n    <P class=\"p3 ft5\"><SPAN class=\"ft3\">1.<\/SPAN><SPAN class=\"ft4\">De ASA Planner is een (mobiele) <\/SPAN>\n    <NOBR>software-applicatie<\/NOBR>\n    van ASA.<\/P>\n    <P class=\"p3 ft5\"><SPAN class=\"ft3\">2.<\/SPAN><SPAN class=\"ft4\">Onder ASA wordt verstaan: HBO Services B.V. en alle in Nederland gevestigde dochterondernemingen van Start Holding B.V. (niet zijnde een van de volgende vennootschappen: KLV Professional Match B.V., USG Restart B.V. of CapitalP B.V) handelende onder de naam ASA (hierna gezamenlijk te noemen: ASA) kantoorhoudende te 1314 CK Almere aan de P.J. Oudweg 61.<\/SPAN><\/P>\n    <P class=\"p4 ft7\"><SPAN class=\"ft3\">3.<\/SPAN><SPAN class=\"ft6\">Ten aanzien van het gebruik van de ASA Planner en het verstrekken van persoonsgegevens verband houdende met dit gebruik gelden de navolgende voorwaarden.<\/SPAN>\n    <\/P>\n\n    <P class=\"p5 ft7\"><SPAN class=\"ft7\">4.<\/SPAN><SPAN class=\"ft8\">Daar waar in deze voorwaarden hij\/hem staat, dient tevens zij\/haar te worden gelezen.<\/SPAN>\n    <\/P>\n\n    <P class=\"p2 ft2\">Artikel 2 Wat is de ASA Planner?<\/P>\n\n    <P class=\"p6 ft10\"><SPAN class=\"ft3\">1.<\/SPAN><SPAN class=\"ft9\">De ASA Planner is beschikbaar voor gebruikers van een Apple of Android smartphone en is te downloaden via de App of Play Store.<\/SPAN>\n    <\/P>\n\n    <P class=\"p7 ft7\"><SPAN class=\"ft3\">2.<\/SPAN><SPAN class=\"ft6\">De ASA Planner is ontwikkeld door ASA om de beschikbaarheid voor werk van de bij haar ingeschreven werkzoekenden en uitzendkrachten vast te leggen en de werkzoekende en\/of uitzendkracht in te roosteren voor werk bij één of meerdere van haar opdrachtgevers.<\/SPAN>\n    <\/P>\n\n    <P class=\"p8 ft5\"><SPAN class=\"ft3\">3.<\/SPAN><SPAN class=\"ft4\">Nadat de gebruiker de ASA Planner heeft gedownload via de App of Play Store dient hij in te loggen met behulp van zijn bij ASA bekende <\/SPAN>\n    <NOBR>e-mailadres<\/NOBR>\n    om gebruik te kunnen maken van de ASA Planner. Hij ontvangt vervolgens een\n    <NOBR>e-mail<\/NOBR>\n    met en verificatiecode waarmee hij de ASA Planner kan activeren.<\/P>\n    <P class=\"p9 ft1\">B. <SPAN class=\"ft0\">Privacy<\/SPAN><\/P>\n\n    <P class=\"p10 ft2\">Artikel 3 Verwerking persoonsgegevens<\/P>\n\n    <P class=\"p11 ft5\"><SPAN class=\"ft11\">1.<\/SPAN><SPAN class=\"ft12\">ASA verwerkt de persoonsgegevens van de bij haar ingeschreven werkzoekenden en uitzendkrachten conform het binnen haar onderneming gehanteerde privacystatement. Dit privacystatement is reeds aan de werkzoekende en\/of uitzendkracht uitgereikt bij zijn inschrijving bij ASA en is tevens <\/SPAN><A\n            id=\"link_eula1\" onclick=\"return false;\" href=\"http:\/\/www.asatalent.nl\/1019\/privacy.html\"><SPAN class=\"ft13\">hier<\/SPAN><\/A> terug\n        te vinden.<\/P>\n\n    <P class=\"p13 ft1\"><SPAN class=\"ft3\">C. <\/SPAN><SPAN class=\"ft0\">Gebruik van de ASA Planner<\/SPAN><\/P>\n\n    <P class=\"p14 ft2\">Artikel 4 Gebruik van de ASA Planner<\/P>\n\n    <P class=\"p15 ft5\"><SPAN class=\"ft3\">1.<\/SPAN><SPAN class=\"ft4\">De gebruiker is enkel bevoegd de ASA Planner te gebruiken om zijn beschikbaarheid aan ASA door te geven en\/of te bekijken voor welke uren en\/of dagen hij is ingeroosterd. Het is de gebruiker nadrukkelijk niet toegestaan de ASA Planner voor andere doeleinden te gebruiken.<\/SPAN>\n    <\/P>\n\n    <P class=\"p16 ft5\"><SPAN class=\"ft11\">2.<\/SPAN><SPAN class=\"ft12\">De gebruiker zal ASA terstond informeren over eventueel misbruik van de ASA Planner door een <\/SPAN>\n    <NOBR>e-mail<\/NOBR>\n    te sturen naar <A href=\"mailto:info@asatalent.nl\"><SPAN class=\"ft13\">info@asatalent.nl<\/SPAN><\/A><\/P>\n    <P class=\"p17 ft5\"><SPAN class=\"ft3\">3.<\/SPAN><SPAN class=\"ft4\">Het is de gebruiker niet toegestaan het gebruik van de ASA Planner op enigerlei wijze te verstoren.<\/SPAN>\n    <\/P>\n\n    <P class=\"p18 ft7\"><SPAN class=\"ft3\">4.<\/SPAN><SPAN class=\"ft6\">ASA is bevoegd om haar moverende redenen de koppeling tussen het <\/SPAN>\n    <NOBR>e-mailadres<\/NOBR>\n    van de gebruiker en de ASA Planner te deactiveren waardoor geen gebruik meer kan worden gemaakt van de ASA Planner.\n    ASA kan hiertoe onder meer overgaan ingeval van misbruik van de ASA Planner of van diefstal van de smartphone waarop\n    de ASA Planner is geïnstalleerd. In dat laatste geval kan ASA het gebruik van de ASA Planner koppelen aan een ander\n    <NOBR>e-mailadres<\/NOBR>\n    van de gebruiker waardoor opnieuw gebruik kan worden gemaakt van de ASA Planner. ASA is hiertoe echter niet\n    verplicht.<\/P>\n    <P class=\"p19 ft5\"><SPAN class=\"ft3\">5.<\/SPAN><SPAN class=\"ft4\">ASA kan niet garanderen dat de ASA Planner te allen tijde en zonder onderbrekingen en\/of storingen toegankelijk is en is niet aansprakelijk voor schade ten gevolge van technische tekortkomingen, onderbrekingen en\/of storingen in de toegang tot en\/of het gebruik van de ASA Planner. Daarnaast is ASA niet aansprakelijk voor mogelijke nadelige interferenties van de ASA Planner met de door gebruiker gebruikte smartphone en\/of de daarop geïnstalleerde software.<\/SPAN>\n    <\/P>\n\n    <P class=\"p20 ft2\">Artikel 5 Intellectueel eigendom<\/P>\n\n    <P class=\"p21 ft7\"><SPAN class=\"ft3\">1.<\/SPAN><SPAN\n            class=\"ft17\">(De inhoud van) de ASA Planner is eigendom van ASA.<\/SPAN><\/P>\n\n    <P class=\"p22 ft16\"><SPAN class=\"ft3\">2.<\/SPAN><SPAN class=\"ft17\">Niets in deze voorwaarden dan wel binnen de ASA Planner is bedoeld om enig (intellectueel) eigendomsrecht aan de gebruiker te verlenen of over te dragen. Het gebruik van de ASA Planner is dan ook beperkt tot hetgeen in deze voorwaarden is beschreven.<\/SPAN>\n    <\/P>\n\n    <P class=\"p20 ft1\">D. <SPAN class=\"ft0\">Slotbepalingen<\/SPAN><\/P>\n\n    <P class=\"p2 ft2\">Artikel 6 Aansprakelijkheid gebruiker<\/P>\n\n    <P class=\"p23 ft5\"><SPAN>In geval de gebruiker zijn verplichtingen voortvloeiende uit deze voorwaarden, dan wel de geldende wet- en regelgeving niet nakomt en\/of naleeft is hij volledig aansprakelijk voor alle hieruit voortvloeiende schade, kosten, gevolgen en vorderingen, zulks in de ruimste zin des woords. De gebruiker zal ASA terzake vrijwaren.<\/SPAN>\n    <\/P>\n\n    <P class=\"p24 ft2\">Artikel 7 Aansprakelijkheid ASA<\/P>\n\n    <P class=\"p25 ft10\"><SPAN class=\"ft3\">1.<\/SPAN><SPAN class=\"ft17\">ASA is op geen enkele wijze aansprakelijk voor schade, kosten, gevolgen en vorderingen die direct of indirect voortvloeien uit het gebruik van de ASA Planner.<\/SPAN>\n    <\/P>\n\n    <P class=\"p26 ft5\"><SPAN class=\"ft3\">2.<\/SPAN><SPAN class=\"ft17\">Indien en voor zover ASA toch op enigerlei wijze aansprakelijk mocht zijn, dan gelden de navolgende bepalingen.<\/SPAN>\n    <\/P>\n\n    <P class=\"p26 ft7\"><SPAN class=\"ft3\">3.<\/SPAN><SPAN class=\"ft17\">Iedere eventuele aansprakelijkheid van ASA is beperkt tot een bedrag van maximaal € 2.500,- per gebeurtenis en maximaal € 5.000,- per kalenderjaar.<\/SPAN>\n    <\/P>\n\n    <P class=\"p26 ft16\"><SPAN class=\"ft3\">4.<\/SPAN><SPAN class=\"ft17\">De aansprakelijkheid van ASA zal bovendien hoe dan ook nooit meer bedragen dan hetgeen door haar verzekering in het desbetreffende geval wordt uitgekeerd.<\/SPAN>\n    <\/P>\n\n    <P class=\"p29 ft2\">Artikel 8 Slotbepalingen<\/P>\n\n    <P class=\"p30 ft7\"><SPAN class=\"ft3\">1.<\/SPAN><SPAN class=\"ft17\">Indien één of meer bepalingen van de onderhavige voorwaarden worden vernietigd of nietig worden verklaard, dan zal dat geen invloed hebben op de geldigheid van de overige voorwaarden. ASA zal alsdan een nieuwe bepaling vaststellen ter vervanging van de vernietigde\/nietige bepaling, waarbij zoveel mogelijk de strekking van de vernietigde\/nietige bepaling in acht wordt genomen.<\/SPAN>\n    <\/P>\n\n    <P class=\"p31 ft7\"><SPAN class=\"ft3\">2.<\/SPAN><SPAN class=\"ft17\">Op deze voorwaarden is Nederlands recht van toepassing.<\/SPAN>\n    <\/P>",
                        "type": "auto"
                    },
                    "#agreeButton": {
                        "value": "<span>Akkoord</span>",
                        "type": "auto"
                    },
                    "#sundaySelectorTrigger": {
                        "value": "Zo",
                        "type": "auto"
                    },
                    "#mondaySelectorTrigger": {
                        "value": "Ma",
                        "type": "auto"
                    },
                    "#tuesdaySelectorTrigger": {
                        "value": "Di",
                        "type": "auto"
                    },
                    "#wednesdaySelectorTrigger": {
                        "value": "Wo",
                        "type": "auto"
                    },
                    "#thursdaySelectorTrigger": {
                        "value": "Do",
                        "type": "auto"
                    },
                    "#fridaySelectorTrigger": {
                        "value": "Vr",
                        "type": "auto"
                    },
                    "#saturdaySelectorTrigger": {
                        "value": "Za",
                        "type": "auto"
                    },
                    //index.js
                    "submitButton_TextLogin": {
                        "value": "<span>Login <img src=\"images/login-arrow2x.png\" width=8/></span>",
                        "type": "man"
                    },
                    "errcode1_wrong_email_code": {
                        "value": "<span>Je bent nog niet bekend bij ASA. Neem contact op met de dichtsbijzijnde vestiging.</span>",

                        "type": "man"
                    },
                    "err_wrong_email": {
                        "value": "Je e-mailadres lijkt niet te kloppen. <br />Controleer je gegevens en probeer opnieuw.",
                        "type": "man"
                    },
                    "err_wrong_email_or_password": {
                        "value": "Je e-mailadres of registratiecode lijkt niet te kloppen. <br />  Controleer je gegevens en probeer <br /> opnieuw",
                        "type": "man"
                    },
                    "errcode2_email_duplicated": {
                        "value": "Je e-mailadres is meerdere keren ingevoerd in het systeem.<br /> Neem contact op met je vestiging om dit op te lossen.",
                        "type": "man"
                    },
                    "errcode4_auth_code_dont_match": {
                        "value": "De registratiecode klopt niet. <br/>Vul de juiste code in of neem contact op met je vestiging om dit op te lossen.",
                        "type": "man"
                    },
                    "errcode5_conflict_availability": {
                        "value": "Je wijzigt je beschikbaarheid in een periode dat je al bent ingepland. Dit is niet mogelijk. Neem contact op met jouw ASA vestiging! Ga terug naar het beginscherm voor je overzicht.",
                        "type": "man"
                    },

                    "errcode_change_availability": {
                        "value": " Je beschikbaarheid wijzigen op ingeplande diensten is niet mogelijk. Neem hiervoor contact op met je vestiging.",
                        "type": "man"
                    },

                    "errcode100_unknow_error": {
                        "value": "Helaas, je beschikbaarheid is niet verwerkt. Probeer het later opnieuw.",
                        "type": "man"
                    },
                    "no_internt_connection": {
                        "value": "Het lijkt erop dat je geen internetverbinding hebt. Controleer je instellingen en probeer opnieuw.",
                        "type": "man"
                    },
                    "err_enddate_before_startdate": {
                        "value": "<span>Je hebt een einddatum opgegeven die voor de begindatum ligt.</span>",
                        "type": "man"
                    },
                    "err_seletected_date_inpast": {
                        "value": "<span>Deze datum ligt in het verleden.</span>",
                        "type": "man"
                    },
                    "err_seletected_more_8weeks": {
                        "value": "De gekozen einddatum kan niet verder</span> <br /> <span>dan 8  weken in toekomst liggen.",
                        "type": "man"
                    },
                    "err_save_edit_availability": {
                        "value": "Helaas, de server reageert niet. Probeer het later opnieuw.",
                        "type": "man"
                    },
                    "err_999": {
                        "value": "<span>Helaas, je beschikbaarheid is niet verwerkt.</span> <br /> <span> Probeer het later opnieuw.</span>",
                        "type": "man"
                    },
                    "err_request_relogin": {
                        "value": "Helaas is het nodig om opnieuw te registreren. Start de app hiervoor opnieuw op.",
                        "type": "man"
                    },
                    "page3_title_add": {
                        "value": "Voeg toe",
                        "type": "man"
                    },
                    "page3_title_edit": {
                        "value": "Wijzig",
                        "type": "man"
                    },
                    "your_planning": {
                        "value": "Jouw planning",
                        "type": "man"
                    },
                    "select_date": {
                        "value": "Klik een datum aan of selecteer een andere maand",
                        "type": "man"
                    },
                    "calendar_title": {
                        "value": "Kalender",
                        "type": "man"
                    },
                        "#comment_label": {
                        "value": "Opmerkingen",
                        "type": "auto"
                    },
                        "#reserve_label": {
                        "value": "Reserve",
                        "type": "auto"
                    },
                    ".comment_textarea": {
                        "value": "Typ hier je bericht..",
                        "type": "auto"
                    },
                    ".detailsTitle": {
                        "value": "Details",
                        "type": "auto"
                    },
                    ".detail_from": {
                        "value": "van",
                        "type": "auto"
                    },

                    ".detail_todate": {
                        "value": "t/m",
                        "type": "auto"
                    },

                    ".detail_datum": {
                        "value": "Datum",
                        "type": "auto"
                    },
                    "#page5Info": {
                        "value": "Neem contact op met je vestiging voor wijzigingen in je planning",
                        "type": "auto"
                    },
                    "confirmDialog": {
                        "value": "Wil je deze geplande dienst bevestigen?",
                        "type": "man"
                    },
                    "confirmDialogYes": {
                        "value": "Bevestig",
                        "type": "man"
                    },
                    "confirmDialogNO": {
                        "value": "Nee",
                        "type": "man"
                    },

                    ".textForConfirmButton": {
                        "value": "Bevestig",
                        "type": "man"
                    },

                    "textForConfirmedButton": {
                        "value": "Bevestigd",
                        "type": "man"
                    }
                }
            }
        };
    };




    Lang.prototype.checkLang = function (lang) {
        for (var lng in this.langConfig.language) {

            if (lang.indexOf(lng) != -1) {
                return lng;
            }

        }

        return undefined;

    };


    Lang.prototype.renderLang = function (lang) {

                        console.log("renderLang start");
            
        var targetLang = this.checkLang(lang);


        if (lang !== null && targetLang !== undefined) {
            this.currentLanguage = targetLang;
        } else {
            this.currentLanguage = this.langConfig["default"];
        }


        var lang1 = this.langConfig.language[this.currentLanguage];
        for (var obej in lang1) {

            if (lang1[obej].type == "auto") {
                if ($(obej).is('input')) {
                    $(obej).attr("placeholder", lang1[obej].value);
                } else if ($(obej).is("textarea")) {
                    $(obej).attr("placeholder", lang1[obej].value);
                }
                else {
                    $(obej).html(lang1[obej].value);
                }
            }

        }

        console.log("renderLang end");

    };

    Lang.prototype.getValue = function (key) {
        var lang1 = this.langConfig.language[this.currentLanguage];
        return lang1[key] == undefined ? "" : lang1[key].value;

    };


    return Lang;


})
();


window.lang = new Lang();